<?php

namespace App\Domain\Scraping\Domain\Contract\Repository;

use App\Domain\Scraping\Domain\Model\Chapter;

interface ChapterRepositoryInterface
{
    public function getById(string $id): ?Chapter;
    /**
     * @throws ChapterNotFoundException
     */
    public function getByMangaIdAndChapterNumber(string $mangaId, float $chapterNumber): Chapter;
}
